Summary: Java runtime library for gcc
Name: libgcj
Version: 2.96
Release: 2.1mdk
License: GPL
Group: System/Libraries
URL: http://sourceware.cygnus.com/java/
Source: libgcj-%{version}.tar.bz2
Patch1: libgcj-makej.patch.bz2
Patch2: libgcj-nomultilib.patch.bz2
Patch3: libgcj-compile.patch.bz2
Patch4: libgcj-awt-color.patch.bz2
Patch5: libgcj-signal-fixes.patch.bz2
BuildRoot: %{_tmppath}/libgcj-root
Requires: zip >= 2.1
BuildRequires:	gcc-java
Obsoletes: gcc-libgcj
Prereq: /sbin/install-info
ExcludeArch: ia64 ppc
Prefix: %{_prefix}

%description
The Java runtime library. You will need this package to run your Java
programs compiled using the gcc Java compiler (gcj).

%package devel
Summary: Libraries for Java development using gcc
Group: Development/C
URL: http://sourceware.cygnus.com/java/
Requires: zip >= 2.1, libgcj = %{version}

%description devel
The Java static libraries and C header files. You will need this
package to compile your Java programs using the gcc Java compiler (gcj).

%prep
%setup -q -n libgcj
%patch1 -p1 -b .makej
%patch2 -p1 -b .nomulti
%patch3 -p1 -b .compile
%patch4 -p1 -b .awtcolor
%patch5 -p1 -b .signal

%build
rm -fr obj-%{_target_platform}
mkdir obj-%{_target_platform}
cd obj-%{_target_platform}

CC=gcc
OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g'`
CC="$CC" CFLAGS="$OPT_FLAGS" \
	../configure --prefix %{_prefix} \
	--enable-shared --enable-threads=posix --enable-haifa \
	--host=%{_target_platform} --with-system-zlib
%make
cd ..

for i in boehm-gc/ChangeLog libjava/ChangeLog zlib/ChangeLog libffi/ChangeLog; do
	cp -p $i ChangeLog.`echo $i | sed 's|/.*||'`
done
cp -p libffi/LICENSE LICENSE.libffi
cp -p libffi/README README.libffi

%install
rm -fr $RPM_BUILD_ROOT

cd obj-%{_target_platform}
make prefix=$RPM_BUILD_ROOT%{_prefix} install
gcjspecdir=`gcc -v 2>&1 >/dev/null | sed -n 's_^.*%{_prefix}/lib/gcc-lib\(.*\)/specs_%{_prefix}/lib/gcc-lib\1_p'`
mkdir -p $RPM_BUILD_ROOT$gcjspecdir
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgcj.spec $RPM_BUILD_ROOT$gcjspecdir/libgcj.spec

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/bin/jv-convert
%{_prefix}/bin/gij
%{_prefix}/%{_lib}/lib*gcj*.so.*
%{_prefix}/share/libgcj.zip
%doc ChangeLog* LICENSE.libffi README.libffi

%files devel
%defattr(-,root,root)
%{_prefix}/%{_lib}/lib*gcj*.a
%{_prefix}/%{_lib}/lib*gcj*.so
%{_prefix}/include/j*.h
%{_prefix}/include/java
%{_prefix}/include/gnu
%{_prefix}/include/gcj
%{_prefix}/lib/gcc-lib/*/*/libgcj.spec

%changelog
* Wed Mar 13 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.96-2.1mdk
- security update for 8.0 (use system zlib)

* Sun Mar 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.96-2mdk
- ExcludeArch: ppc
- BuildRequiers: gcc-java

* Sat Mar 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.96-1mdk
- First mandrake version.
